*+
*+
*+    Source Module => F:\MAILMERG\PICK_LTR.PRG
*+
*+    Functions: Function pickletter()
*+               Procedure pick_update()
*+
*+    Reformatted by Click! 1.11 on Oct-4-1997 at  3:08 am
*+
*+

#include "MAILMERG.CH"

static lGather := .t.

*+
*+
*+    Function pickletter()
*+
*+    Called from ( mergedit.prg )   1 - procedure mergdel()
*+                                   1 - procedure mergedit()
*+                ( mergprnt.prg )   1 - procedure mergprnt()
*+
*+
*+
function pickletter()

local aDir        := {}
local nChoice
local nHandle
local cBuffer
local nBytesRead
local sep_at
local retval      := ''
local x
local cThisChoice
local nLen

static aChoices := {}
static aDescs   := {}

if lGather
   aChoices := {}
endif

if empty( aChoices ) .or. lGather

   lGather := .f.

   pop_msg( 'Updating Letter Descriptions', .f. )

   aDir := directory( 'LETTERS\' + left( alias(), 8 ) + '\*.MRG' )

   for x := 1 to len( aDir )

      nHandle := fopen( 'LETTERS\' + left( alias(), 8 ) + '\' + aDir[ x, 1 ] )

      cBuffer    := space( 80 )
      nBytesRead := fread( nHandle, @cBuffer, 80 )
      fclose( nHandle )

      sep_at := at( MINOR_SEPARATOR, cBuffer )
      if sep_at > 0
         cThisChoice := substr( left( cBuffer, sep_at - 1 ), 2 )
      else
         cThisChoice := aDir[ x, 1 ]
      endif

      aadd( aChoices, { cThisChoice, 'LETTERS\' + left( alias(), 8 ) + '\' + aDir[ x, 1 ] } )

   next

   aChoices := asort( aChoices,,, { | x, y | x[ 1 ] < y[ 1 ] } )

   clr_msg()

   aDescs := aclone( aChoices )

   nLen := len( aDescs )
   for x := 1 to nLen
      aDescs[ x ] := aDescs[ x, 1 ]
   next

endif

nChoice := popapick( 6, 9, 19, 70, aDescs, 'Select a Letter', 'W+/B' )

if !empty( nChoice )
   retval := aChoices[ nChoice, 2 ]
endif

return retval

*+
*+
*+    Procedure pick_update()
*+
*+    Called from ( merge.prg    )   2 - procedure merge()
*+
*+
*+
procedure pick_update()

lGather := .t.

return

*+ EOF: PICK_LTR.PRG
