*+
*+
*+    Source Module => F:\MAILMERG\ROOTNAME.PRG
*+
*+    Functions: Function rootname()
*+               Function root()
*+
*+    Reformatted by Click! 1.11 on Oct-4-1997 at  3:08 am
*+
*+

*+
*+
*+    Function rootname()
*+
*+    Called from ( mergedit.prg )   1 - procedure mergadd()
*+                ( rootname.prg )   1 - function root()
*+
*+
*+
function rootname( cSomeFile )

// PRB 12-27-94 Function to correct extension stripping on Novell

// we have to be careful to not identify the dot that is a directory
// name. Novell paths use .\afile.ext to force reading from a local
// local directory.

local dotat := rat( '.', cSomeFile )

// this is to make sure it is an extension and not the novell .\
if dotat >= len( cSomeFile ) - 3 .and. !dotat == 1
   cSomeFile := left( cSomeFile, dotat - 1 )
endif

return cSomeFile

*+
*+
*+    Function root()
*+
*+
*+
function root( cSomeFile )

local slashat

cSomeFile := rootname( cSomeFile )

slashat := rat( '\', cSomeFile )

if slashat > 0
   cSomeFile := substr( cSomeFile, slashat + 1 )
endif

return cSomeFile

*+ EOF: ROOTNAME.PRG
