*+
*+
*+    Source Module => F:\MAILMERG\GETPRCOD.PRG
*+
*+    Functions: Function getprcod()
*+
*+       Tables: use PR_CODES NEW shared
*+
*+      Indexes: index on field->PR_TOKEN to PR_CODES
*+
*+    Reformatted by Click! 1.11 on Oct-4-1997 at  3:07 am
*+
*+

*+
*+
*+    Function getprcod()
*+
*+    Called from ( mergedit.prg )   2 - procedure mergedit()
*+
*+
*+
function getprcod()

local inarea := select()
local x

static p_prompts := {}
static p_tokens  := {}

if len( p_prompts ) == 0

   pop_msg( 'Initializing...', .f. )

   use PR_CODES NEW shared

   if file( 'pr_codes' + ordbagext() )
      set index to PR_CODES
   else
      index on field->PR_TOKEN to PR_CODES
   endif

   x := lastrec()
   asize( P_PROMPTS, x )
   asize( P_TOKENS, x )
   x := 1
   pr_codes->( dbgotop() )
   do while pr_codes->( !eof() )
      P_PROMPTS[ x ]   := PR_CODES->PR_PROMPT
      P_TOKENS[ x ++ ] := PR_CODES->PR_TOKEN
      skip
   enddo
   pr_codes->( dbclosearea() )

   select( inarea )

   clr_msg()

endif

return { p_prompts, p_tokens }

*+ EOF: GETPRCOD.PRG
