*+
*+
*+    Source Module => F:\MAILMERG\MERGFUNC.PRG
*+
*+    Functions: Function mmheadmake()
*+               Function MMHEADTAKE()
*+               Function STRINGIFY()
*+
*+    Reformatted by Click! 1.11 on Oct-4-1997 at  3:07 am
*+
*+

#include "MAILMERG.CH"

*+
*+
*+    Function mmheadmake()
*+
*+    Called from ( mergedit.prg )   1 - procedure mergadd()
*+                                   1 - procedure m_edit()
*+                                   1 - procedure edit_link_data()
*+
*+
*+
function mmheadmake( aData )

// this function saves a single dimentional array to a string

local nArrayLen := len( aData )
local x
local text_out  := ''

for x := 1 to nArrayLen
   text_out += valtype( aData[ x ] ) + STRINGIFY( aData[ x ] ) + MINOR_SEPARATOR
next

return TEXT_OUT + HEADER_SEPARATOR

*+
*+
*+    Function MMHEADTAKE()
*+
*+    Called from ( mergedit.prg )   2 - procedure m_edit()
*+                                   1 - procedure edit_link_data()
*+                ( mergprnt.prg )   1 - procedure mergprnt()
*+
*+
*+
function MMHEADTAKE( MERGE_TXT )

// PASS MERGE_TXT BY REFERENCE AND THE HEADER WILL BE REMOVED

local aOutArry   := {}
local nHeaderLoc := at( HEADER_SEPARATOR, MERGE_TXT )
local cHeader    := left( merge_txt, nHeaderLoc - 1 )
local nSepAt     := at( MINOR_SEPARATOR, cHeader )
local cThisPart
local cThisType

merge_txt := substr( merge_txt, nHeaderLoc + len( HEADER_SEPARATOR ) )

do while nSepAt > 0

   cThisType := left( cHeader, 1 )
   cThisPart := substr( left( cHeader, nSepAt - 1 ), 2 )

   do case
   case cThisType == 'C'
      aadd( aOutArry, cThisPart )
   case cThisType == 'N'
      aadd( aOutArry, val( cThisPart ) )
   case cThisType == 'D'
      aadd( aOutArry, ctod( cThisPart ) )
   case cThisType == 'L'
      aadd( aOutArry, cThisPart == 'True' )
   otherwise
      aadd( aOutArry, NIL )
   endcase

   cHeader := substr( cHeader, nSepAt + len( MINOR_SEPARATOR ) )
   nSepAt  := at( MINOR_SEPARATOR, cHeader )

enddo

return aOutArry

*+
*+
*+    Function STRINGIFY()
*+
*+    Called from ( mergedit.prg )   1 - procedure m_edit()
*+                ( mergfunc.prg )   1 - function mmheadmake()
*+
*+
*+
function STRINGIFY( uVariable )

local uType   := valtype( uVariable )
local uRetVal := ''

do case
case uType = 'C'
   uRetVal := uVariable
case uType = 'N'
   uRetVal := str( uVariable )
case uType = 'D'
   uRetVal := dtoc( uVariable )
case uType = 'L'
   uRetVal := iif( uVariable, 'True', 'False' )
endcase

return uRetVal

*+ EOF: MERGFUNC.PRG
