*+
*+
*+    Source Module => F:\MAILMERG\PRB_POP.PRG
*+
*+    Functions: Function POP_MSG()
*+               Procedure CLR_MSG()
*+               Procedure ATTENTION()
*+               Procedure CNT()
*+               Static Function c()
*+               Static Function Amaxstrlen()
*+               Function VERIFY()
*+               Function ASK_FOR()
*+               Function FULLDATE()
*+               Function RJ()
*+               Function LJ()
*+               Function MVERIFY()
*+
*+    Reformatted by Click! 1.11 on Oct-4-1997 at  3:08 am
*+
*+

#include "COMMON.CH"
#include "BOX.CH"
#include "SET.CH"

static THISSCRN
static TL
static BOXHIGH

*+
*+
*+    Function POP_MSG()
*+
*+    Called from ( getprcod.prg )   1 - function getprcod()
*+                ( merge.prg    )   1 - procedure merge()
*+                ( mergedit.prg )   1 - procedure mergadd()
*+                                   1 - procedure m_edit()
*+                ( newxpnd.prg  )   4 - function expand_txt()
*+                ( pick_ltr.prg )   1 - function pickletter()
*+                ( prb_pop.prg  )   1 - function verify()
*+                                   1 - function ask_for()
*+
*+
*+
function POP_MSG( SOME_TXT, MSG_LOGIC, BORDCOLOR, MAINCOLOR )

local MAXLEN
local x
local ARLEN
local INCOLOR
local CROW
local CCOL
local LC

Default MSG_LOGIC to .t.

Default BORDCOLOR to 'B+/W'
Default MAINCOLOR to 'N/W,W+/B'

if !isarray( SOME_TXT )
   SOME_TXT := { SOME_TXT }
endif

ARLEN := len( SOME_TXT )

TL := ( maxrow() / 2 ) - ( int( ARLEN / 2 ) + 2 )

MAXLEN := min( maxcol() - 4, max( Amaxstrlen( SOME_TXT ), 25 ) + 6 )

BOXHIGH  := ARLEN + 2
THISSCRN := savescreen( TL - 2, 0, BOXHIGH + TL + 1, maxcol() )
CROW     := row()
CCOL     := col()

LC := int( ( maxcol() - MAXLEN ) / 2 )

dispbox( TL - 1, LC, BOXHIGH + TL, LC + MAXLEN - 1, B_DOUBLE_SINGLE + ' ', BORDCOLOR )

INCOLOR := setcolor( MAINCOLOR )

for x := 1 to ARLEN
   CNT( SOME_TXT[ x ], TL + x )
next

if MSG_LOGIC
   ATTENTION( 'Press any key to continue', BOXHIGH + TL )
   inkey( 0 )
   restscreen( TL - 2, 0, BOXHIGH + TL + 1, 79, THISSCRN )
   THISSCRN := ''
   devpos( CROW, CCOL )
endif

setcolor( INCOLOR )

return { TL, lc }

*+
*+
*+    Procedure CLR_MSG()
*+
*+    Called from ( getprcod.prg )   1 - function getprcod()
*+                ( pick_ltr.prg )   1 - function pickletter()
*+                ( prb_pop.prg  )   1 - function verify()
*+                                   1 - function ask_for()
*+
*+
*+
procedure CLR_MSG()

restscreen( TL - 2, 0, BOXHIGH + TL + 1, 79, THISSCRN )

THISSCRN := ''

return

*+
*+
*+    Procedure ATTENTION()
*+
*+    Called from ( mergedit.prg )   2 - procedure m_edit()
*+                ( prb_pop.prg  )   1 - function pop_msg()
*+
*+
*+
procedure ATTENTION( CSTRING, NLINENUM, CCOLOR )

local COLDCOLOR

Default NLINENUM to maxrow()
Default CCOLOR to 'GR+/R'

cOldColor := setcolor( CCOLOR )

CSTRING := '  ' + alltrim( CSTRING ) + '  '

devpos( NLINENUM, c( CSTRING ) )

devout( CSTRING )

setcolor( COLDCOLOR )

return

*+
*+
*+    Procedure CNT()
*+
*+    Called from ( prb_pop.prg  )   1 - function pop_msg()
*+                                   2 - function mverify()
*+
*+
*+
procedure CNT( CSTRING, NLINENUM )

devpos( NLINENUM, c( CSTRING ) )

devout( CSTRING )

return

*+
*+
*+    Static Function c()
*+
*+    Called from ( prb_pop.prg  )   1 - procedure attention()
*+                                   1 - procedure cnt()
*+                                   2 - function ask_for()
*+                                   4 - function mverify()
*+
*+
*+
static function c( CSTRING )

return max( ( maxcol() / 2 ) - int( len( CSTRING ) / 2 ), 0 )

*+
*+
*+    Static Function Amaxstrlen()
*+
*+    Called from ( prb_pop.prg  )   1 - function pop_msg()
*+
*+
*+
static function Amaxstrlen( ANARRAY )

local ARLEN
local THISLEN
local max     := 0
local x

if isarray( ANARRAY )

   ARLEN := len( ANARRAY )

   for x := 1 to ARLEN
      THISLEN := len( ANARRAY[ X ] )
      if THISLEN > max
         max := THISLEN
      endif
   next

endif

return max

*+
*+
*+    Function VERIFY()
*+
*+    Called from ( mergedit.prg )   1 - procedure mergadd()
*+                                   1 - procedure mergdel()
*+
*+
*+
function VERIFY( SOME_TXT, LNORMANS, YES_PRMPT, NO_PRMPT, BORDCOLOR, MAINCOLOR )

local INCOLOR
local VERI
local ARLEN

Default BORDCOLOR to 'W+/R'
Default MAINCOLOR to 'W+/R,W+/B'

LNORMANS  := iif( islogic( LNORMANS ), LNORMANS, .t. )
YES_PRMPT := iif( YES_PRMPT = NIL, ' YES ', ' ' + alltrim( YES_PRMPT ) + ' ' )
NO_PRMPT  := iif( NO_PRMPT = NIL, ' NO ', ' ' + alltrim( NO_PRMPT ) + ' ' )

if !isarray( SOME_TXT )
   SOME_TXT := { SOME_TXT }
endif

ARLEN := len( SOME_TXT ) + 2

asize( SOME_TXT, ARLEN )

SOME_TXT[ ARLEN - 1 ] := ''
SOME_TXT[ ARLEN ]     := ''

POP_MSG( SOME_TXT, .f., BORDCOLOR, MAINCOLOR )

VERI := iif( LNORMANS, 1, 2 )

INCOLOR := setcolor( MAINCOLOR )
@ TL - 2 + BOXHIGH, 33 - ( len( YES_PRMPT ) / 2 ) prompt YES_PRMPT
@ TL - 2 + BOXHIGH, 46 - ( len( NO_PRMPT ) / 2 ) prompt NO_PRMPT

menu to VERI

clr_msg()

setcolor( INCOLOR )

return ( VERI == 1 )

*+
*+
*+    Function ASK_FOR()
*+
*+    Called from ( mergedit.prg )   2 - procedure mergadd()
*+                                   1 - procedure edit_link_data()
*+
*+
*+
function ASK_FOR( SOME_TXT, Getvar, PICVAR, BORDCOLOR, MAINCOLOR )

local GETLIST := {}

local INCOLOR  := setcolor()
local INCURSOR := set( _SET_CURSOR )
local ARLEN
local VCNT
local RETVAL
local CROW     := row()
local CCOL     := col()

Default BORDCOLOR to 'W+/B'
Default MAINCOLOR to 'W+/B,W/N'

if !isarray( SOME_TXT )
   SOME_TXT := { SOME_TXT }
endif

ARLEN := len( SOME_TXT ) + 2

asize( SOME_TXT, ARLEN )

do case
case ischaracter( Getvar )
   VCNT := c( Getvar )
case isdate( Getvar )
   VCNT := 35
case isnumber( Getvar )
   VCNT := c( PICVAR )
otherwise
   VCNT := maxcol() / 2
endcase

SOME_TXT[ ARLEN - 1 ] := ''
SOME_TXT[ ARLEN ]     := space( ( ( maxcol() / 2 ) - VCNT ) * 2 )

POP_MSG( SOME_TXT, .f., BORDCOLOR, MAINCOLOR )

setcolor( MAINCOLOR )

if isdate( Getvar )
   @ TL + BOXHIGH - 2, VCNT get Getvar         
else
   @ TL + BOXHIGH - 2, VCNT get Getvar picture PICVAR        
endif

set cursor ( .t. )
read
set( _SET_CURSOR, INCURSOR )

clr_msg()

RETVAL := Getvar

if ischaracter( Getvar )
   Getvar := alltrim( Getvar )
endif

setcolor( INCOLOR )
devpos( CROW, CCOL )

return RETVAL

*+
*+
*+    Function FULLDATE()
*+
*+
*+
function FULLDATE( ANYDATE )

Default ANYDATE to date()

return cmonth( ANYDATE ) + ' ' + ltrim( str( day( ANYDATE ), 2 ) ) + ', ' + str( year( ANYDATE ), 4 )

*+
*+
*+    Function RJ()
*+
*+
*+
function RJ( cString )

return padl( alltrim( cString ), len( cString ) )

*+
*+
*+    Function LJ()
*+
*+
*+
function LJ( cString )

return pad( alltrim( cString ), len( cString ) )

*+
*+
*+    Function MVERIFY()
*+
*+
*+
function MVERIFY( SOME_TXT, RESULT, MPRMPT, PCOLORAY, ;
                  BORDCOLOR, MAINCOLOR, TOP_LINE )

local array
local BOXHIGH
local MAXLEN
local x
local ARLEN
local COLORAY := {}
local N_P
local P_L
local PL1
local PL2
local PRL1
local PRL2
local PRLN1
local PRLN2
local PRMPT   := {}
local LC

putscreen()

if isarray( MPRMPT )
   N_P := len( MPRMPT )
else
   MPRMPT := { 'YES', 'NO' }
   N_P    := 2
endif

asize( PRMPT, len( MPRMPT ) )

for x := 1 to N_P
   PRMPT[ x ] := ' ' + alltrim( MPRMPT[ x ] ) + ' '
next

array  := isarray( SOME_TXT )
RESULT := iif( isnumber( RESULT ), RESULT, 1 )

Default BORDCOLOR to 'B+/W'
Default MAINCOLOR to 'N/W,W+/B'

ARLEN := len( SOME_TXT )

if array
   asize( COLORAY, ARLEN )
   if !isarray( PCOLORAY )
      afill( COLORAY, MAINCOLOR )
   else
      acopy( PCOLORAY, COLORAY )
   endif
else
   COLORAY := iif( ISNIL( PCOLORAY ), MAINCOLOR, PCOLORAY )
endif

P_L := iif( N_P > 3, 2, 0 )

TOP_LINE := if( TOP_LINE == NIL, 12 - ( if( array, 1 + ( ARLEN / 2 ), 2 ) + ( P_L / 2 ) ), TOP_LINE )
MAXLEN   := 25
if array
   for x := 1 to ARLEN
      if len( SOME_TXT[ x ] ) > MAXLEN
         MAXLEN := len( SOME_TXT[ x ] )
      endif
   next
else
   MAXLEN := ARLEN
endif

PRLN1 := 0
PRLN2 := 0

if N_P = 2 .or. N_P = 4
   PRLN1 := len( PRMPT[ 1 ] + PRMPT[ 2 ] ) + 6
endif
if N_P = 3 .or. N_P = 5 .or. N_P = 6
   PRLN1 := len( PRMPT[ 1 ] + PRMPT[ 2 ] + PRMPT[ 3 ] ) + 12
endif
if N_P = 4 .or. N_P = 5
   PRLN2 := len( PRMPT[ n_p - 1 ] + PRMPT[ n_p ] ) + 6
endif
if N_P = 6
   PRLN2 := len( PRMPT[ 4 ] + PRMPT[ 5 ] + PRMPT[ 6 ] ) + 12
endif

MAXLEN := max( MAXLEN, PRLN1 )
MAXLEN := max( MAXLEN, PRLN2 )
MAXLEN += 6
MAXLEN := min( 76, MAXLEN )

BOXHIGH := if( array, 3 + ARLEN, 5 ) + P_L

LC := int( ( maxcol() - MAXLEN ) / 2 )
dispbox( TOP_LINE - 1, LC, BOXHIGH + Top_Line, LC + MAXLEN - 1, B_DOUBLE_SINGLE + ' ', BORDCOLOR )

if array
   for x := 1 to ARLEN
      setcolor( COLORAY[ x ] )
      CNT( SOME_TXT[ x ], TOP_LINE + x )
   next
else
   setcolor( COLORAY )
   CNT( SOME_TXT, TOP_LINE + 1 )
endif

setcolor( MAINCOLOR )

if P_L == 0
   PL1 := ( TOP_LINE - 2 ) + BOXHIGH
else
   PL1 := ( TOP_LINE - 4 ) + BOXHIGH
   PL2 := PL1 + 2
endif

if N_P == 2 .or. N_P == 4
   PRL1 := c( PRMPT[ 1 ] + PRMPT[ 2 ] ) - 3
   @ PL1, PRL1 prompt PRMPT[ 1 ]
   @ PL1, PRL1 + 6 + len( PRMPT[ 1 ] ) prompt PRMPT[ 2 ]
endif
if N_P == 3 .or. N_P == 5 .or. N_P == 6
   PRL1 := c( PRMPT[ 1 ] + PRMPT[ 2 ] + PRMPT[ 3 ] ) - 6
   @ PL1, PRL1 prompt PRMPT[ 1 ]
   @ PL1, PRL1 + 6 + len( PRMPT[ 1 ] ) prompt PRMPT[ 2 ]
   @ PL1, PRL1 + 12 + len( PRMPT[ 1 ] + PRMPT[ 2 ] ) prompt PRMPT[ 3 ]
endif
if N_P == 4 .or. N_P == 5
   PRL2 := c( PRMPT[ n_p - 1 ] + PRMPT[ n_p ] ) - 3
   @ PL2, PRL2 prompt PRMPT[ n_p - 1 ]
   @ PL2, PRL2 + 6 + len( PRMPT[ n_p - 1 ] ) prompt PRMPT[ n_p ]
endif
if N_P == 6
   PRL2 := c( PRMPT[ 4 ] + PRMPT[ 5 ] + PRMPT[ 6 ] ) - 6
   @ PL2, PRL2 prompt PRMPT[ 4 ]
   @ PL2, PRL2 + 6 + len( PRMPT[ 4 ] ) prompt PRMPT[ 5 ]
   @ PL2, PRL2 + 12 + len( PRMPT[ 4 ] + PRMPT[ 5 ] ) prompt PRMPT[ 6 ]
endif

menu to RESULT

getscreen()

return RESULT

*+ EOF: PRB_POP.PRG
